Bug 757128 - Laptop hangs on boot after selecting "Upgrade auf Fedora 16 (Verne)" from grub menu
Laptop hangs on boot after selecting "Upgrade auf Fedora 16 (Verne)" from gru...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
15
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-25 09:33 EST by Simon Lewis
Modified: 2012-08-07 12:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:20:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simon Lewis 2011-11-25 09:33:29 EST
Description of problem: Laptop "freezes" immediately after selecting "Upgrade to Fedora 16 (Verne)" from grub menu on boot

Version-Release number of selected component: preupgrade-1.1.10-1.fc15.noarch   

How reproducible: Totally reproducible

Steps to Reproduce:
1. Run "preupgrade" as root in konsole
2. Next through all steps in upgrade wizzard
3. Reboot laptop
  
Additional info: content of grub.conf

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /, eg.
#          root (hd0,5)
#          kernel /boot/vmlinuz-version ro root=/dev/sda6
#          initrd /boot/initrd-[generic-]version.img
#boot=/dev/sda
default=1
timeout=3
splashimage=(hd0,5)/boot/grub/splash.xpm.gz
hiddenmenu
title Upgrade auf Fedora 16 (Verne)
	kernel /boot/upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade ks=hd:UUID=7d0b8a41-4cc4-499a-86fd-a5a0b8cac262:/boot/upgrade/ks.cfg
	initrd /boot/upgrade/initrd.img
title Fedora (2.6.41.1-1.fc15.x86_64)
	root (hd0,5)
	kernel /boot/vmlinuz-2.6.41.1-1.fc15.x86_64 ro root=UUID=7d0b8a41-4cc4-499a-86fd-a5a0b8cac262 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=de_DE.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=de-latin1-nodeadkeys rhgb quiet
	initrd /boot/initramfs-2.6.41.1-1.fc15.x86_64.img
title Fedora (3.0.9-1.rt25.1.fc15.ccrma.x86_64.rt)
	root (hd0,5)
	kernel /boot/vmlinuz-3.0.9-1.rt25.1.fc15.ccrma.x86_64.rt ro root=UUID=7d0b8a41-4cc4-499a-86fd-a5a0b8cac262 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=de_DE.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=de-latin1-nodeadkeys rhgb quiet
	initrd /boot/initramfs-3.0.9-1.rt25.1.fc15.ccrma.x86_64.rt.img
Comment 1 Colin Ager 2011-12-19 06:31:21 EST
I have the same problem doing an update from Fed13. My GRUB entry for the update is identical apart from the UUID. I do have a boot/upgrade folder with initrd and vmlinuz. The upgrade process seemed to be going OK up to that point!
Comment 2 Dirk Hoffmann 2011-12-30 16:00:10 EST
Same for me. 

History may be interesting for debug: I had installed f13 and was amazed how smooth the upgrade to f14 went. Strangely, I had never been notified about an available f15 upgrade.

So I went carefully with "preupgrade" to f15 (Lovelock). After "preupgrade" finishing without apparent error, I accepted the suggested reboot and got only a blinking cursor line in the upper left corner of a 80x24 DOS window, alike bug 710756. Ctrl-Alt-Del brought me back to a grub menu with my usual choices (plus an additional f15 upgrade as first choice).

Somewhere I read upgrade f14->f16 should work. So I decided to skip f15. Same story as with f15 though. My /boot/grub/grub.conf is now:

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,4)
#          kernel /vmlinuz-version ro root=/dev/mapper/vg_ratonneau-lv_root
#          initrd /initrd-[generic-]version.img
#boot=/dev/sda
default=1
timeout=15
splashimage=(hd0,4)/grub/splash.xpm.gz
hiddenmenu
title Upgrade to Fedora 16 (Verne)
	kernel /upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade ks=hd:UUID=06bfb773-9006-4c2b-b7aa-521d6a136156:/upgrade/ks.cfg
	initrd /upgrade/initrd.img
title Fedora (2.6.35.14-106.fc14.i686.PAE)
#[... removed my irrelevant standard boot choices]
Comment 3 Dirk Hoffmann 2011-12-30 16:08:58 EST
(In reply to comment #2)
> title Upgrade to Fedora 16 (Verne)
>  kernel /upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade
> ks=hd:UUID=06bfb773-9006-4c2b-b7aa-521d6a136156:/upgrade/ks.cfg
>  initrd /upgrade/initrd.img

Should the "kernel" line contain a more explicit partition identifier than what is between the colons after "repo=hd" (i.e. nothing)???


My /var/cache is on /, which is a logical volume. Unlike my other LVs, it does not show up in "blkid" under /dev/mapper, but under /dev/root. So I beleive I know what I can add to the repo= argument of the kernel.

I am trying a double-run of "preupgrade" to f16. (I also read somewhere something like it would work at the second attempt.) If that fails, I will go on as described above. But I would feel more confident, if an expert could comment on my chances to do the right thing.
Comment 4 Dirk Hoffmann 2011-12-30 19:59:07 EST
(In reply to comment #3)
> (In reply to comment #2)
> > title Upgrade to Fedora 16 (Verne)
> >  kernel /upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade
> > ks=hd:UUID=06bfb773-9006-4c2b-b7aa-521d6a136156:/upgrade/ks.cfg
> >  initrd /upgrade/initrd.img

I had no luck up to now. 

Is the following normal?
 $ file /boot/upgrade/initrd.img
 /boot/upgrade/initrd.img: xz compressed data
 $ cp /boot/upgrade/initrd.img /tmp/img.xz
 $ unxz /tmp/img.xz
 unxz: /tmp/img.xz: Compressed data is corrupt
Or does it mean that the initrd image is not generated correctly by "preupgrade"?

How can I check? What should be on this ramdisk image?
Comment 5 Dirk Hoffmann 2011-12-31 04:17:04 EST
Tried grub2, as described in bug 752734#c8, with a little success.

Booting into the "Upgrade to Fedora 16" option works. Kernel is loaded, init-ramdisk is read and apparently OK. "anaconda" starts for f16 installation, but then complains that ISO images are not found: "This can happen, if complex data storage is used, like LVM." Yes, indeed...
Comment 6 Fedora End Of Life 2012-08-07 12:20:51 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.